// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    ext.kotlin_version = "1.3.72"
    repositories {
        maven { url 'https://mirrors.huaweicloud.com/repository/maven/' }
        google()
        jcenter()
        maven {
            url 'https://maven.aliyun.com/repository/releases'
        }
        //投屏的maven地址
        maven { url 'http://4thline.org/m2' }
        maven {
            url 'https://download.01.org/crosswalk/releases/crosswalk/android/maven2'
        }
        //添加RTC需要的maven地址
        maven {
            url "http://maven.aliyun.com/nexus/content/groups/public/"
        }
        flatDir {
            dirs '../libs'
        }
    }
    apply from: 'thirdparty-lib/config.gradle'
    dependencies {
        classpath 'com.android.tools.build:gradle:3.6.2'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath "com.alibaba:arouter-register:1.0.2"
//        classpath 'com.android.tools.build:gradle:3.6.0'
        classpath 'com.jakewharton:butterknife-gradle-plugin:10.2.1'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        maven { url 'https://mirrors.huaweicloud.com/repository/maven/' }
        maven { url 'https://jitpack.io' }
        google()
        jcenter()
        maven {
            url 'https://maven.aliyun.com/repository/releases'
        }
        //投屏的maven地址
        maven { url 'http://4thline.org/m2' }
        maven {
            url 'https://download.01.org/crosswalk/releases/crosswalk/android/maven2'
        }
        flatDir {
            dirs '../libs'
        }

    }


}

task clean(type: Delete) {
    delete rootProject.buildDir
}
